Subject: Re: [bug#56797] [PATCH] gnu: services: fprintd: Add PAM configuration.

From: Maxime Devos <[email-masked]>
Date: Wed, 27 Jul 2022 23:56:24 +0200

On 27-07-2022 22:26, Maya wrote:
>> Documentation is missing (in the manual), so as-is, this new feature is
>> hard to find.
> Oh? I didn't know that. Doesn't define-configuration generate documentation automatically? If it does not, I will hapilly add it, but I have never written any, so it will be a learning process.
>
There is some procedure that takes a record type and generates some 
documentation, but it is not automatically copied into the manual, you 
will have to do that yourself (and maybe tweak the result a little: 
what's a good docstring in code doesn't always fit very well in a manual).

>> Also, the manual required giving every top-level procedure a docstring
>> IIRC,
> There is that requirement, yes. But there weren't any around this method so I thought the configuration sufficed, but if it is a requirement, I will do that.
>
I don't know if the requirement is overly strictly formulated or if the 
surrounding code is wrong.

>> This documentation is unclear -- does this field need to be set to the
>> _name_  of the module, or to the_file name_  of the_shared library_  (as
>> a file-like, not a direct file name, because of staging), or ...?  Also,
>> the 'list' check can be more precise, IIRC there was some method for not
>> just using list? but doing things like list-of-strings?.
> The name of the pam module, not a shared library. So the file in /etc/pam.d. It is a direct name, since it is not inside the store, pam modules have static path.
To be clear, it is clear if you look at the default value, but I think 
it's best to be explicit in the documentation.

> As for the configuration options, it's my first time using them and I didn't really understand the define-syntax definition, so I really just skimmed through the guix repository for some uses.
IIRC, there are some procedures you can use to define list-of-x? 
procedures but I don't recall the details.

Greetings,
Maxime.